Skip to main content
GET
Get a company
Returns a company object.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

companyId
string<uuid>
required

The UUID of the company.

Response

The company object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
company
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

industries
string[]
required

List of industries the company operates in.

name
string | null

The company name.

website
string | null

The company website URL.

domain
string | null

The company domain.

logoUrl
string | null

URL to the company logo.

employeeCount
integer | null

Estimated number of employees.

city
string | null

The city where the company is located.

state
string | null

The state or region where the company is located.

country
string | null

The country where the company is located.